import { ClassifyRule } from "../types";
export declare const DIFF_META_KEY = "$diff";
export declare const DiffAction: {
    readonly add: "add";
    readonly remove: "remove";
    readonly replace: "replace";
    readonly rename: "rename";
};
export declare const ClassifierType: {
    readonly breaking: "breaking";
    readonly nonBreaking: "non-breaking";
    readonly annotation: "annotation";
    readonly unclassified: "unclassified";
    readonly deprecated: "deprecated";
};
export declare const breaking: "breaking", nonBreaking: "non-breaking", unclassified: "unclassified", annotation: "annotation", deprecated: "deprecated";
export declare const allNonBreaking: ClassifyRule;
export declare const allBreaking: ClassifyRule;
export declare const onlyAddBreaking: ClassifyRule;
export declare const addNonBreaking: ClassifyRule;
export declare const allUnclassified: ClassifyRule;
export declare const allAnnotation: ClassifyRule;
export declare const allDeprecated: ClassifyRule;
