import { JsonPath } from "json-crawl";
import type { DiffFactory, ComapreContext, CompareTransformResolver, Diff, NodeContext, DiffMeta, MergeMetaRecord, TransformResolver } from "../types";
export declare const createDiff: (diff: Omit<Diff, "type">, ctx: ComapreContext) => Diff;
export declare const diffFactory: DiffFactory;
export declare const convertDiffToMeta: (diff: Diff) => DiffMeta;
export declare const createMergeMeta: (diffs: Diff[]) => MergeMetaRecord;
export declare const getParentContext: (ctx: NodeContext, ...path: JsonPath) => NodeContext | undefined;
export declare const compareTransformationFactory: <T = unknown>(resolver: TransformResolver<T>) => CompareTransformResolver<T>;
