import type { CompareTransformResolver, TransformResolver } from "../types";
export declare const valuesTransformation: <T = unknown>(values: Record<"before" | "after", T>, resolver: TransformResolver<T>) => void;
export declare const transformJsonSchemaCombiners: (allowedSibling?: string[]) => CompareTransformResolver;
export declare const createFields: (...fields: string[]) => CompareTransformResolver;
export declare const transformJsonSchema: (version?: "draft-04" | "2020-12") => CompareTransformResolver;
export declare const jsonSchemaMergeAllOf: (version: "draft-04" | "2020-12") => CompareTransformResolver<unknown>;
