import { JsonPath } from "json-crawl";
import type { ComapreContext } from "../types";
export declare const emptySecurity: (value?: unknown) => boolean;
export declare const includeSecurity: (value?: unknown, items?: unknown) => boolean;
export declare const mapPathParams: ({ before, after }: ComapreContext) => Record<string, string>;
export declare const getDefaultStyle: (type: unknown) => "form" | "simple" | undefined;
export declare const isResponseSchema: (path: JsonPath) => boolean;
export declare const isRequestBodySchema: (path: JsonPath) => boolean;
export declare const isParameterSchema: (path: JsonPath) => boolean;
export declare const getMaxOpenApiVersion: (before: unknown, after: unknown) => "3.1.x" | "3.0.x" | undefined;
