export declare const graphApiComponents: {
    readonly ScalarTypeDefinition: "scalars";
    readonly ObjectTypeDefinition: "objects";
    readonly InterfaceTypeDefinition: "interfaces";
    readonly InputObjectTypeDefinition: "inputObjects";
    readonly DirectiveDefinition: "directives";
    readonly UnionTypeDefinition: "unions";
    readonly EnumTypeDefinition: "enums";
};
export declare const graphApiOperations: {
    readonly query: "query";
    readonly mutation: "mutation";
    readonly subscription: "subscription";
};
export declare const graphSchemaCustomProps: readonly ["args", "values", "interfaces", "directives"];
