export declare const jsonSchemaTypes: readonly ["any", "string", "number", "integer", "boolean", "null", "array", "object"];
export declare const jsonSchemaNodeMetaProps: readonly ["deprecated", "readOnly", "writeOnly", "externalDocs"];
export declare const jsonSchemaCommonProps: readonly ["type", "description", "title", "enum", "default", "examples", "format", "const"];
export declare const jsonSchemaDefinitionsPath: string[];
export declare const jsonSchemaValidators: {
    any: never[];
    boolean: never[];
    null: never[];
    string: string[];
    number: string[];
    integer: string[];
    object: string[];
    array: string[];
};
export declare const jsonSchemaTypeProps: Record<string, string[]>;
export declare const jsonSchemaAllowedSibling: string[];
